### A free/open-source library for quantitative finance

Public Member Functions
AverageBMALeg Class Reference

helper class building a sequence of average BMA coupons More...

`#include <ql/cashflows/averagebmacoupon.hpp>`

List of all members.

## Public Member Functions

| AverageBMALeg (const Schedule &schedule, const boost::shared_ptr< BMAIndex > &index)
AverageBMALeg & | withNotionals (Real notional)
AverageBMALeg & | withNotionals (const std::vector< Real > &notionals)
AverageBMALeg & | withPaymentDayCounter (const DayCounter &)
AverageBMALeg & | withPaymentAdjustment (BusinessDayConvention)
AverageBMALeg & | withGearings (Real gearing)
AverageBMALeg & | withGearings (const std::vector< Real > &gearings)
AverageBMALeg & | withSpreads (Spread spread)
AverageBMALeg & | withSpreads (const std::vector< Spread > &spreads)
| operator Leg () const

## Detailed Description

helper class building a sequence of average BMA coupons